List A/B tests
GET
/api/v1/tuning/ab-tests
const url = 'https://api.ultimateteam.ai/api/v1/tuning/ab-tests';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/tuning/ab-tests \ --header 'X-API-Key: <X-API-Key>'List agent response A/B tests for the tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response List Ab Tests Api V1 Tuning Ab Tests Get
Array<object>
AgentResponseTestResponseResponse body for an agent response A/B test.
object
agent_role
required
Agent Role
string
behavior_dimension
required
Behavior Dimension
string
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
min_tenants
required
Min Tenants
integer
name
required
Name
string
significance_threshold
required
Significance Threshold
number
status
required
Status
string
variants
required
Variants
Array<object>
AgentResponseVariantResponseResponse body for a single response test variant.
object
acceptance_count
required
Acceptance Count
integer
acceptance_rate
Acceptance Rate
number
config
required
Config
object
key
additional properties
any
id
required
Id
string format: uuid
name
required
Name
string
override_count
required
Override Count
integer
satisfaction_sum
required
Satisfaction Sum
number
tenant_count
required
Tenant Count
integer
Example
[ { "variants": [ { "acceptance_rate": 0 } ] }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}